Skip to main content

Documentation Index

Fetch the complete documentation index at: https://docs.mindcase.co/llms.txt

Use this file to discover all available pages before exploring further.

$0.25 / 1k reviews Extract reviews from Google Maps places — reviewer info, ratings, text, responses — using start URLs and max reviews

Endpoint

POST /api/v1/agents/google/maps/reviews/run

Parameters

urls
array
required
List · Google Maps place URLs to scrape reviews from. One per line.
maxReviews
integer
default:100
Number · Number of reviews to scrape per place. Use 0 for all.
sortBy
string
default:"newest"
Dropdown · Sort order for reviews.Options: newest, mostRelevant, highestRanking, lowestRankingLegend: newest = Newest First, mostRelevant = Most Relevant, highestRanking = Highest Rating, lowestRanking = Lowest Rating

Response columns

FieldDisplay nameType
placeUrlPlace URLurl
reviewUrlReview URLurl
reviewTextReview Texttext
starsStarsrating
postedAtPosted Attext
reviewerReviewertext
reviewerUrlReviewer URLurl
reviewerPhotoReviewer Photourl
reviewerTotalReviewsReviewer Total Reviewsnumber
localGuideLocal Guideboolean
reviewLikesReview Likesnumber
originalLanguageOriginal Languagetext
translatedLanguageTranslated Languagetext
translatedTextTranslated Texttext
businessNameBusiness Nametext
categoryCategorytext
allCategoriesAll Categoriestext
businessRatingBusiness Ratingrating
businessReviewsBusiness Reviewsnumber
businessPhotoBusiness Photourl
latitudeLatitudenumber
longitudeLongitudenumber
countryCountrytext
languageLanguagetext
permanentlyClosedPermanently Closedboolean
temporarilyClosedTemporarily Closedboolean
placeIdPlace IDtext

Example

curl -X POST https://api.mindcase.co/api/v1/agents/google/maps/reviews/run \
  -H "Authorization: Bearer mk_live_abc123def456" \
  -H "Content-Type: application/json" \
  -d '{
  "params": {
    "urls": [
      {
        "url": "https://www.google.com/maps/place/Yellowstone+National+Park/@44.4280,-110.5885,9z"
      }
    ],
    "maxReviews": 10,
    "language": "en",
    "sortBy": "mostRelevant"
  }
}'

Example response

Response
{
  "job_id": "job_7f3a2b1c",
  "status": "completed",
  "data": [
    {
      "placeUrl": "https://www.google.com/maps/search/?api=1&query=Yellowstone%20National%20Park&query_place_id=ChIJVVVVVVXlUVMRu-GPNDD5qKw",
      "reviewUrl": "https://www.google.com/maps/reviews/data=!4m8!14m7!1m6!2m5!1sCi9DQUlRQUNvZENodHljRjlvT21VMVpGbFdWbmh1VGtsa09GRXlORTVPZHpKSGJtYxAB!2m1!1s0x0:0xaca8f930348fe1bb!3m1!1s2@1:CAIQACodChtycF9oOmU1ZFlWVnhuTklkOFEyNE5OdzJHbmc%7C%7C?hl=en",
      "reviewText": "It lived up to the hype entirely! Old Faithful that famous geyser is so wonderfully predictable! The waterfalls are heavenly! We personally loved Mammoth (check out the local icecream and wildlife) and also secret Hot Spring adventures by night! The Terraces are not to be missed they look like a very expensive, melting wedding cake! Everything in the Park is constantly shifting and changing! Note: if you\u2019re coming from the south (Jackson), you\u2019ll enter through the South Entrance. The drive along Yellowstone Lake is serene, and worth a picnic stop. It\u2019s quite busy but quite lovely! When you drive around the park keep an eye out for Bison Jams, they have the right of way, and they are quite aware of it! A wonderful experience throughout!",
      "stars": 5,
      "postedAt": "2026-02-27T20:30:14.998Z",
      "reviewer": "Marie",
      "reviewerUrl": "https://www.google.com/maps/contrib/114347625650613152002?hl=en",
      "reviewerPhoto": "https://lh3.googleusercontent.com/a-/ALV-UjW8ZbQXVbrcEqgoH2bbPr2nVgYkiSzW7T9iIvg-iGNz4uSdn2s=s1920-c-rp-mo-ba7-br100",
      "reviewerTotalReviews": 472,
      "localGuide": true,
      "reviewLikes": 1,
      "originalLanguage": "en",
      "translatedLanguage": null,
      "translatedText": null,
      "businessName": "Yellowstone National Park",
      "category": "National park",
      "allCategories": [
        "National park",
        "Park",
        "Tourist attraction"
      ],
      "businessRating": 4.8,
      "businessReviews": 44729,
      "businessPhoto": "https://lh3.googleusercontent.com/gps-cs-s/APNQkAGiKfKd7JNy0Jz-ejb7rEYiXZ9qLNl-5tR6e_5L86IqnuxyTDEqJzMjbUVxHWpINoxXsXqUJiXdSurdA0epFT4jPr74axILGWy0rM59QxlF893zVs9xZh9l3Hhngm4K921kNu1k=w408-h544-k-no",
      "latitude": 44.5979182,
      "longitude": -110.561249,
      "country": "US",
      "language": "en",
      "permanentlyClosed": false,
      "temporarilyClosed": false,
      "placeId": "ChIJVVVVVVXlUVMRu-GPNDD5qKw"
    }
  ]
}